DEFINITION MODULE bio;

FROM SYSTEM IMPORT ADDRESS;

FROM K32baseTypes IMPORT integer16, cardinal16, cardinal32;

EXPORT QUALIFIED
	bflush, bfind, bclose, Btype;

TYPE
	Btype	=	(Bread, Bupdate, Bwrite);

PROCEDURE bflush(
	f:		integer16
);

PROCEDURE bfind(
	f:		integer16;
	b:		cardinal16;
	upd:		Btype
):			ADDRESS;

PROCEDURE bclose(
	f:		integer16
);

END bio.

